corda / net.corda.schemas / CommercialPaperSchemaV1 / PersistentCommericalPaperState

# PersistentCommericalPaperState

`@Entity class PersistentCommericalPaperState : PersistentState`

### Constructors

<init> | `PersistentCommericalPaperState(issuanceParty: String, issuanceRef: ByteArray, owner: String, maturity: Instant, faceValue: Long, currency: String, faceValueIssuerParty: String, faceValueIssuerRef: ByteArray)`

### Properties

currency | `var currency: String`
faceValue | `var faceValue: Long`
faceValueIssuerParty | `var faceValueIssuerParty: String`
faceValueIssuerRef | `var faceValueIssuerRef: ByteArray`
issuanceParty | `var issuanceParty: String`
issuanceRef | `var issuanceRef: ByteArray`
maturity | `var maturity: Instant`
owner | `var owner: String`

### Inherited Properties

stateRef | `var stateRef: PersistentStateRef?`